Skip to main content

CreateTransaction

POST

Creates a TRX transfer transaction. If the recipient account (to_address) does not exist, it will be automatically activated.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
to_addressstringrequired
Recipient address. (Format: Base58 or Hex). Example: 4198927FFB9F554DC4A453C64B2E553A02D6DF514B
amountintegerrequired
Amount of TRX to transfer. (Unit: sun).e.g., 1000
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
extra_datastring
Remarks or notes for the transaction, in Hex format.
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
to_addressstring
Recipient address.
amountinteger
Amount of TRX to transfer. (Unit: sun, 1 TRX = 1,000,000 sun).
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/createtransaction' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"to_address": "4198927FFB9F554DC4A453C64B2E553A02D6DF514B"
}'